package com.brilliance.isc.mda.dao;

import com.brilliance.isc.bo.Ltt;
import org.apache.ibatis.annotations.Mapper;

import java.util.Collection;
import java.util.List;
import java.util.Map;

@Mapper
public interface LttMapper {

    int insert(Ltt record);

    int insertSelective(Ltt record);

    int updateByPrimaryKeySelective(Ltt record);

    int updateByPrimaryKey(Ltt record);

    int deleteByPrimaryKey(Ltt record);

    int deleteByIds(Collection<Object> collection);

    Ltt selectByPrimaryKey(Ltt record);

    int dyncDelete(Map<String,Object> dyncMap);

    List<Ltt> dyncRead(Map<String,Object> dyncMap);

}